#
# spec file for package python-pmw
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
Name:           python-pmw
Version:        2.0.1
Release:        lp151.2.1
Url:            http://pmw.sourceforge.net/
Summary:        High-level compound widgets in Python using the Tkinter module
#PATCH-FIX-UPSTREAM py36.patch https://sourceforge.net/p/pmw/patches/7/
License:        MIT
Group:          Development/Languages/Python
Patch:          py36.patch
Source:         https://pypi.python.org/packages/e7/20/8d0c4ba96a5fe62e1bcf2b8a212ccfecd67ad951e8f3e89cf147d63952aa/Pmw-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{python_module base}
BuildRequires:  python-rpm-macros
Requires:       python-tk
BuildRequires:  fdupes
BuildArch:      noarch
%define oldpython python
%ifpython2
Obsoletes:      %{oldpython}-pmw < %{version}
Provides:       %{oldpython}-pmw = %{version}
%endif

%python_subpackages

%description
A toolkit for building high-level compound widgets in Python using the Tkinter
module. It contains a set of flexible and extensible megawidgets, including
notebooks, comboboxes, selection widgets, paned widgets, scrolled widgets and
dialog windows.

%prep
%setup -q -n Pmw-%{version}
%patch
sed -i '1d' Pmw/Pmw_1_3_3/{demos/All,bin/bundlepmw,tests/All,tests/ManualTests}.py # Fix non-executable scripts
sed -i '1d' Pmw/Pmw_2_0_1/{demos/All,bin/bundlepmw,tests/All,tests/ManualTests}.py # Fix non-executable scripts

%build
%python_build

%install
%python_install
%fdupes %{buildroot}/%{_prefix}

%files %python_files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Wed Aug 16 2017 dhall@wustl.edu
- obsolete python-pmw
* Sun May  7 2017 dhall@wustl.edu
- Add py36.patch: Fix for python3.6
  * https://sourceforge.net/p/pmw/patches/7/
* Sat May  6 2017 dhall@wustl.edu
- update to Pmw 2.0.1
- add python3 compatibility
* Fri Mar 21 2014 dhall@wustl.edu
- update to Pmw 1.3.3b
* Sat Dec 15 2012 dhall@wustl.edu
- update to Pmw 1.3.3
* Tue Sep 25 2012 dhall@wustl.edu
- require python-tk
* Tue Aug 16 2011 saschpe@suse.de
- Spec file cleanup:
  * Package documentation
  * Version-checks around SUSE-specific macros
* Tue May 10 2011 dhall@wustl.edu
- add executable bits
- patch out test backup file
* Tue May 10 2011 dhall@wustl.edu
-Pmw import
